## ruby-batch-loader 2.0.6+dfsg

=== Makefile ===
build:
	gem build batch-loader.gemspec

publish:
	gem push batch-loader-*.gem

## ruby-batch-loader 1.2.1

=== debian/changelog ===
ruby-batch-loader (1.2.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Fri, 27 Apr 2018 19:08:15 +0530

ruby-batch-loader (1.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #893176)

 -- Pirate Praveen <praveen@debian.org>  Sat, 17 Mar 2018 13:06:55 +0530

=== debian/control ===
Source: ruby-batch-loader
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 11~),
               gem2deb
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-batch-loader.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-batch-loader
Homepage: https://github.com/exAspArk/batch-loader
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-batch-loader
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Powerful tool to avoid N+1 DB or HTTP queries
 This library provides a generic lazy batching mechanism to avoid N+1 DB
 queries, HTTP queries, etc.
 .
 Highlights
  * Generic utility to avoid N+1 DB queries, HTTP requests, etc.
  * Adapted Ruby implementation of battle-tested tools like Haskell Haxl, JS
    DataLoader, etc.
  * Batching is isolated and lazy, load data in batch where and when it's
    needed.
  * Automatically caches previous queries (identity map).
  * Thread-safe (`loader`).
  * No need to share batching through variables or custom defined classes.
  * No dependencies, no monkey-patches, no extra primitives such as Promises.

=== debian/watch ===
version=3
https://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/batch-loader .*/batch-loader-(.*).tar.gz

## ruby-batch-loader 1.2.2

=== debian/changelog ===
ruby-batch-loader (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Move debian/watch to gemwatch.debian.net

 -- Pirate Praveen <praveen@debian.org>  Mon, 17 Dec 2018 17:07:58 +0530

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper (>= 11~),
                gem2deb
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-batch-loader.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-batch-loader
 Homepage: https://github.com/exAspArk/batch-loader

=== debian/watch ===
version=3
https://gemwatch.debian.net/batch-loader .*/batch-loader-(.*).tar.gz

## ruby-batch-loader 1.4.1+dfsg.1

=== debian/changelog ===
ruby-batch-loader (1.4.1+dfsg.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Tue, 06 Aug 2019 17:50:42 +0000

ruby-batch-loader (1.4.1+dfsg.1-1) unstable; urgency=medium

  * Team Upload 
  * New upstream
  * Add debian/upstream/metadata
  * Watch file modified redirecting to github
  * Bump Standards-Version to 4.3.0 (no changes needed)

 -- Manas Kashyap <manaskashyaptech@gmail.com>  Thu, 13 Jun 2019 22:26:34 +0530

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper (>= 11~),
-               gem2deb
-Standards-Version: 4.2.1
+               gem2deb,
+               ruby-graphql,
+               ruby-rspec
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-batch-loader.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-batch-loader
 Homepage: https://github.com/exAspArk/batch-loader
@@ -16,6 +18,7 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ruby | ruby-interpreter,
+         ruby-graphql,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Powerful tool to avoid N+1 DB or HTTP queries

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,compression=xz,repack,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/ruby-batch-loader-$1.tar.gz/ \
 https://github.com/exAspArk/batch-loader/tags .*/archive/v?([\d\.]+).tar.gz

## ruby-batch-loader 2.0.1%2Bdfsg

=== debian/changelog ===
ruby-batch-loader (2.0.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/control (Build-Depends): Adjust ruby-graphql version (closes: #996159).
    (Depends): Remove ruby-graphql and rely on ${ruby:Depends}.
  * d/copyright (Copyright): Add team.
  * d/rules: Use gem installation layout.
  * d/watch: Update file.
  * d/upstream/metadata: Update some URLs.

 -- Daniel Leidert <dleidert@debian.org>  Fri, 19 Nov 2021 23:38:48 +0100

ruby-batch-loader (2.0.1+dfsg-2) unstable; urgency=medium

  * Reupload to unstable
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13

 -- Pirate Praveen <praveen@debian.org>  Fri, 27 Aug 2021 02:10:23 +0530

ruby-batch-loader (2.0.1+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Cédric Boutillier ]
  * [ci skip] Update team name

  [ Pirate Praveen ]
  * Fix github watch file regexp
  * Bump Standards-Version to 4.5.1 (no changes needed)
  * New upstream version 2.0.1+dfsg
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Sun, 18 Apr 2021 00:16:51 +0530

ruby-batch-loader (1.4.1+dfsg.1-3) unstable; urgency=medium

  * Team upload.
  * d/control (Build-Depends): Add ruby-coveralls to fix reprotest.

 -- Daniel Leidert <dleidert@debian.org>  Fri, 28 Feb 2020 10:34:11 +0100

ruby-batch-loader (1.4.1+dfsg.1-2) unstable; urgency=medium

  * Team upload.
  * d/compat: Remove obsolete file.
  * d/control: Add Rules-Requires-Root field.
    (Build-Depends): Use debhelper-compat version 12.
    (Standards-Version): Bump to 4.5.0.
    (Depends): Use ${ruby:Depends}, add graphql version, remove interpreter.
  * d/copyright: Add Upstream-Contact field.
  * d/rules: Add override to install upstream CHANGELOG.md.
  * d/patches/fix-test-for-ruby2.7.patch: Add patch.
    - Fix error expectation to raise FrozenError instead of RuntimeError
      with Ruby 2.7 (closes: #951587).
  * d/patches/series: Add new patch.
  * d/upstream/metadata: Update and complete information.

 -- Daniel Leidert <dleidert@debian.org>  Fri, 28 Feb 2020 10:13:24 +0100

=== debian/control ===
Source: ruby-batch-loader
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: ruby
Testsuite: autopkgtest-pkg-ruby
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               ruby-coveralls,
               ruby-graphql (>= 1.11.8-3~) | ruby-graphql (<< 1.11.8),
               ruby-rspec
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-batch-loader
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-batch-loader.git
Homepage: https://github.com/exAspArk/batch-loader
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-batch-loader
Architecture: all
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: Powerful tool to avoid N+1 DB or HTTP queries
 This library provides a generic lazy batching mechanism to avoid N+1 DB
 queries, HTTP queries, etc.
 .
 Highlights
  * Generic utility to avoid N+1 DB queries, HTTP requests, etc.
  * Adapted Ruby implementation of battle-tested tools like Haskell Haxl, JS
    DataLoader, etc.
  * Batching is isolated and lazy, load data in batch where and when it's
    needed.
  * Automatically caches previous queries (identity map).
  * Thread-safe (`loader`).
  * No need to share batching through variables or custom defined classes.
  * No dependencies, no monkey-patches, no extra primitives such as Promises.
XB-Ruby-Versions: ${ruby:Versions}

## ruby-batch-loader 2.0.1+dfsg

=== debian/changelog ===
ruby-batch-loader (2.0.1+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Pirate Praveen <praveen@debian.org>  Mon, 30 Aug 2021 11:53:46 +0000

ruby-batch-loader (2.0.1+dfsg-1~bpo11+1) bullseye-backports-staging; urgency=medium

  * Rebuild for bullseye-backports-staging.

 -- Pirate Praveen <praveen@debian.org>  Tue, 11 May 2021 12:35:20 +0530

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                gem2deb,
                ruby-coveralls,
-               ruby-graphql (>= 1.11.8-3~) | ruby-graphql (<< 1.11.8),
+               ruby-graphql,
                ruby-rspec
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-batch-loader
@@ -18,7 +18,9 @@
 
 Package: ruby-batch-loader
 Architecture: all
-Depends: ${misc:Depends},
+Depends: ruby-graphql (<< 2),
+         ruby-graphql (>= 1.6),
+         ${misc:Depends},
          ${ruby:Depends},
          ${shlibs:Depends}
 Description: Powerful tool to avoid N+1 DB or HTTP queries

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,compression=xz,repack,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/ruby-batch-loader-$1.tar.gz/ \
 https://github.com/exAspArk/batch-loader/tags .*/archive/.*/v?([\d\.]+).tar.gz

## ruby-batch-loader 2.0.5+dfsg

=== debian/changelog ===
ruby-batch-loader (2.0.5+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

  [ Cédric Boutillier ]
  * Add patches for ruby3.3 and graphql2 (Closes: #1064754)
  * Bump version dependency on ruby-graphql
  * Remove .rspec_status when cleaning (Closes: #1046483)

 -- Cédric Boutillier <boutil@debian.org>  Sun, 15 Dec 2024 16:51:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                gem2deb,
                ruby-coveralls,
-               ruby-graphql,
+               ruby-graphql (>= 2~),
                ruby-rspec
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-batch-loader
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-batch-loader.git
 Homepage: https://github.com/exAspArk/batch-loader
@@ -18,9 +18,7 @@
 
 Package: ruby-batch-loader
 Architecture: all
-Depends: ruby-graphql (<< 2),
-         ruby-graphql (>= 1.6),
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${ruby:Depends},
          ${shlibs:Depends}
 Description: Powerful tool to avoid N+1 DB or HTTP queries
@@ -38,3 +36,4 @@
   * No need to share batching through variables or custom defined classes.
   * No dependencies, no monkey-patches, no extra primitives such as Promises.
 XB-Ruby-Versions: ${ruby:Versions}
+Multi-Arch: foreign

=== debian/watch ===
version=4
opts=\
repack,repacksuffix=+dfsg,compression=xz,\
uversionmangle=s/[_.+-]?(rc|pre|dev|beta|alpha|b|a)/~$1/i,\
dversionmangle=auto,\
filenamemangle=s%v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2% \
  https://github.com/exAspArk/batch-loader/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## ruby-batch-loader 2.0.6+dfsg

=== debian/changelog ===
ruby-batch-loader (2.0.6+dfsg-1) unstable; urgency=medium

  [ Lucas Nussbaum ]
  * debian/gbp.conf: Add for DEP-14
  * debian/.gitattributes: remove
  * debian/salsa-ci.yml: use team-specific include

  [ Simon Quigley ]
  * Team upload.
  * New upstream release.
  * Update Standards-Version to 4.7.3, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 09 Feb 2026 17:00:02 -0600

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                ruby-coveralls,
                ruby-graphql (>= 2~),
                ruby-rspec
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-batch-loader
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-batch-loader.git
 Homepage: https://github.com/exAspArk/batch-loader
